Subject: Re: [PATCH] sparse: ignore warning from new glibc headers

From: Đoàn Trần Công Danh <[email-masked]>
Date: Thu, 18 Jul 2024 09:39:44 +0700

On 2024-07-18 01:02:54+0100, Ramsay Jones <[email-masked]> wrote:
> 
> 
> On 17/07/2024 23:53, Junio C Hamano wrote:
> [snip]
> > That's OK.  So in short, with a separate SP_EXTRA_FLAGS with "-Wno-vla",
> > Luc's patch is a sufficient fix without any downsides, no?
> > 
> 
> Yes, assuming you're only concerned with 'make sparse' usage.
> 
> BTW, I didn't expect it to take this long for this issue to come
> back to the list! I expected it to almost immediately cause
> problems with the sparse ci job, when the version of Ubuntu was
> updated to the LTS (now previous LTS!). So, I just found a simple
> solution for now (which turned into 2 years).

Well, yeah, -Wno-vla would work, I used that macro __STDC_NO_VLA__
because I'm not sure Git want to use vla or not, so I only tried to
disable it for system headers.

And yes, the vla declarationw as added into glibc 2.35.

-- 
Danh